hpp-corbaserver: _impl_PathOptimizer Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
_impl_PathOptimizer Class Referenceabstract

`#include <hpp/core_idl/path_planners-idl.hh>`

Inheritance diagram for _impl_PathOptimizer:
[legend]
Collaboration diagram for _impl_PathOptimizer:
[legend]

## Public Member Functions
virtual | ~_impl_PathOptimizer ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual PathVector_ptr | optimize (::hpp::core_idl::PathVector_ptr path)=0
virtual void | interrupt ()=0
virtual void | maxIterations (::hpp::size_type n)=0
virtual void | timeOut (::hpp::value_type seconds)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_PathOptimizer()

virtual _impl_PathOptimizer::~_impl_PathOptimizer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_PathOptimizer::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_PathOptimizer::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_PathOptimizer::deleteThis | ( |  | ) |
| pure virtual

## ◆ interrupt()

virtual void _impl_PathOptimizer::interrupt | ( |  | ) |
| pure virtual

## ◆ maxIterations()

virtual void _impl_PathOptimizer::maxIterations | ( | ::hpp::size_type | n | ) |
| pure virtual

## ◆ optimize()

virtual PathVector_ptr _impl_PathOptimizer::optimize | ( | ::hpp::core_idl::PathVector_ptr | path | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_PathOptimizer::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

## ◆ timeOut()

virtual void _impl_PathOptimizer::timeOut | ( | ::hpp::value_type | seconds | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh